Bug 168889 - Segmentation fault when using gtkspell 2.0.7-3 on x86_64 FC4
Segmentation fault when using gtkspell 2.0.7-3 on x86_64 FC4
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gtkspell (Show other bugs)
4
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-20 19:30 EDT by Rob
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-17 15:01:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rob 2005-09-20 19:30:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
gtkspell is causing Segmentation fault. This is 100% reporducable, see steps below.


# python
Python 2.4.1 (#1, May 16 2005, 15:15:14)
[GCC 4.0.0 20050512 (Red Hat 4.0.0-5)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import gtkspell
Segmentation fault


gnome-python2-gtkspell.x86_64            2.10.0-2.1             installed
gnome-spell.x86_64                       1.0.5-10               installed
gtkspell.i386                            2.0.7-3                installed
gtkspell.x86_64                          2.0.7-3                installed





Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
# python
Python 2.4.1 (#1, May 16 2005, 15:15:14)
[GCC 4.0.0 20050512 (Red Hat 4.0.0-5)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import gtkspell
Segmentation fault

Actual Results:  Segmentation fault

Expected Results:  no output

Additional info:
Comment 1 Tim Heaney 2006-04-15 12:59:19 EDT
I get the same thing with 

  gnome-python2-gtkspell.x86_64            2.10.0-6
  gnome-spell.x86_64                       1.0.5-10
  gtkspell.x86_64                          2.0.7-3

This is really serious, because programs like GRAMPS just mysteriously stop
working. If you run it from the command line, you see why

  $ sudo yum install gnome-python2-gtkspell
  [...]
  $ gramps
  Segmentation fault
  $ sudo yum remove gnome-python2-gtkspell
  [...]
  $ gramps
  Spell.py: No module named gtkspell
  [gramps window opens]

but usually you start it from a menu.

The latest version of GnomePythonExtras is 2.14.0, released 13-Mar-2006
The latest version of gnome spell is 1.0.7, released 10-Feb-2006
The latest version of gtkspell is 2.0.11, released on 27 May 2005


Comment 2 Matthew Barnes 2006-05-17 10:21:06 EDT
I am unable to reproduce this using current Fedora Rawhide packages:

  gnome-python2-gtkspell-2.14.0-1
  gnome-spell-1.0.7-2
  gtkspell-2.0.11-1.2.1

But then I'm testing on a i386.  Can you still reproduce this on a x86_64?
Comment 3 Hans de Goede 2006-11-16 18:23:24 EST
I cannot reproduce this on my 64 bit rawhide install, so I suggest closing this.
Comment 4 Matthew Barnes 2006-11-17 15:01:48 EST
Resolving this as UPSTREAM.

Note You need to log in before you can comment on or make changes to this bug.